
package com.tmerclub.cloud.multishop.service;

import com.tmerclub.cloud.common.database.dto.PageDTO;
import com.tmerclub.cloud.common.database.vo.PageVO;
import com.tmerclub.cloud.multishop.model.ShopTemplate;

/**
 * 商品装修模板表
 *
 * @author Orange
 * @date 2022-08-12 14:04:57
 */
public interface ShopTemplateService {

    /**
     * 分页获取商品装修模板表列表
     * @param pageDTO 分页参数
     * @param shopTemplate
     * @return 商品装修模板表列表分页数据
     */
    PageVO<ShopTemplate> page(PageDTO pageDTO, ShopTemplate shopTemplate);

    /**
     * 根据商品装修模板表id获取商品装修模板表
     *
     * @param templateId 商品装修模板表id
     * @return 商品装修模板表
     */
    ShopTemplate getByTemplateId(Long templateId);

    /**
     * 保存商品装修模板表
     * @param shopTemplate 商品装修模板表
     */
    void save(ShopTemplate shopTemplate);

    /**
     * 更新商品装修模板表
     * @param shopTemplate 商品装修模板表
     */
    void update(ShopTemplate shopTemplate);

    /**
     * 根据商品装修模板表id删除商品装修模板表
     * @param templateId 商品装修模板表id
     */
    void deleteById(Long templateId);

    /**
     * 删除缓存
     * @param templateId
     */
    void removeCache(Long templateId);
}
